## org.omg.CORBA
Class ConstantDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ConstantDefHelper

public class ConstantDefHelper
extends java.lang.Object

Helper class for : ConstantDef

Author:
  OpenORB Compiler

Constructor Summary
`ConstantDefHelper()`

Method Summary
`static ConstantDef` `extract(Any a)` Extract ConstantDef from an any
`static java.lang.String` `id()` Return the ConstantDef IDL ID
`static void` `insert(Any a, ConstantDef t)` Insert ConstantDef into an any
`static ConstantDef` `narrow(Object obj)` Narrow CORBA::Object to ConstantDef
`static ConstantDef` `read(InputStream istream)` Read ConstantDef from a marshalled stream
`static TypeCode` `type()` Return the ConstantDef TypeCode
`static ConstantDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ConstantDef
`static void` `write(OutputStream ostream, ConstantDef value)` Write ConstantDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstantDefHelper

    public ConstantDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ConstantDef t)

  Insert ConstantDef into an any
  Parameters:
    `a` - an any
    `t` - ConstantDef value

### extract

    public static ConstantDef extract(Any a)

  Extract ConstantDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ConstantDef value

### type

    public static TypeCode type()

  Return the ConstantDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ConstantDef IDL ID
  Returns:
    an ID

### read

    public static ConstantDef read(InputStream istream)

  Read ConstantDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ConstantDef value

### write

    public static void write(OutputStream ostream,
                             ConstantDef value)

  Write ConstantDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ConstantDef value

### narrow

    public static ConstantDef narrow(Object obj)

  Narrow CORBA::Object to ConstantDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ConstantDef Object

### unchecked_narrow

    public static ConstantDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ConstantDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ConstantDef Object